/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    f_sff.h
 *
 * Purpose: Include file for simple file format data file type with no header.
 */

typedef struct {
	FILE *file;
} MX_DATAFILE_SFF;

MX_API mx_status_type mxdf_sff_open( MX_DATAFILE *datafile );
MX_API mx_status_type mxdf_sff_close( MX_DATAFILE *datafile );
MX_API mx_status_type mxdf_sff_write_main_header( MX_DATAFILE *datafile );
MX_API mx_status_type mxdf_sff_write_segment_header( MX_DATAFILE *datafile );
MX_API mx_status_type mxdf_sff_write_trailer( MX_DATAFILE *datafile );
MX_API mx_status_type mxdf_sff_add_measurement_to_datafile(
						MX_DATAFILE *datafile );

extern MX_DATAFILE_FUNCTION_LIST mxdf_sff_datafile_function_list;

