/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * mx_mtest.c --  Stack and heap memory testers.
 *
 * This code is not likely to work correctly in threaded environments.
 *
 */

#include "mxconfig.h"

#ifdef OS_UNIX

MX_API long mx_unix_heap_test( void );
MX_API void mx_unix_stack_test_handler( void );
MX_API void mx_unix_stack_test_initialize( void );

#define mx_heap_test			mx_unix_heap_test
#define mx_stack_test_handler		mx_unix_stack_test_handler
#define mx_stack_test_initialize	mx_unix_stack_test_initialize

#endif /* OS_UNIX */

#ifdef OS_MSDOS

MX_API long mx_msdos_heap_test( void );
MX_API void mx_msdos_stack_test_handler( void );
MX_API void mx_msdos_stack_test_initialize( void );

#define mx_heap_test			mx_msdos_heap_test
#define mx_stack_test_handler		mx_msdos_stack_test_handler
#define mx_stack_test_initialize	mx_msdos_stack_test_initialize

#endif /* OS_MSDOS */

