/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    ms_epmd.h
 *
 * Purpose: Header for the interface between EPICS mailbox motor records
 *          and the server.
 */

#ifndef __MS_EPMD_H__
#define __MS_EPMD_H__

extern MX_EPICS_CHANNEL_DEFAULTS mxsrv_epics_motor_db_channel_defaults[];
extern int mxsrv_epics_motor_db_num_channel_defaults;

extern mx_status_type mxsrv_epics_motor_db_add_channels( MX_RECORD *record,
						MX_EPICS_CHANNEL *channel_list,
						int current_channel_number );

#endif /* __MS_EPMD_H__ */
