# Intel x86 with Watcom C/386 v 9.5 under MSDOS
#
#CC		= wcl386 -d2 -zq -we -sg
#
CC		= wcc386 -d2 -zq -we
CFLAGS		= -g $(INCLUDES) -DOS_DOS_EXT_WATCOM $(EXTRA_FLAGS) -DDEBUG
CFLAGS_EPICS	= $(CFLAGS)

COMPILE		= $(CC)
DEFINE		= -D
MAKEDEPEND	= ..\\tools\\bin\\mkdepend *.c

#
# GNU make needs a rule for converting .c files to .obj files.
#
.c.obj:
	$(COMPILE) $(CFLAGS) $*.c

#
#
AR		= wlib
RANLIB		= touch +no-create
RM		= erase
#
MAKE		= gnumake
#
OBJ		= obj
#
MX_LIB_DIR	= ..\\libMx
MX_INC_DIR	= $(MX_LIB_DIR)
MX_INCLUDES	= -I$(MX_INC_DIR)
MX_LIBRARY_NAME	= libMx.lib
MX_LIBRARY_PATH	= $(MX_LIB_DIR)\\$(MX_LIBRARY_NAME)
MX_LIBRARY_BUILD = $(AR) @libMx.wat
#
MOTOR_NAME	= motor.exe
MOTOR_BUILD	= wlink @motor.wat
#
SERVER_NAME	= mxserver.exe
SERVER_BUILD	= wlink @mxserver.wat
#
UPDATE_NAME	= mxupdate.exe
UPDATE_BUILD	= wlink @mxupdate.wat

# See libMx/Makehead.sgi for why this is here.
#
MX_LIB_OBJS = $(MX_LIB_SRCS:.c=.$(OBJ))
MOTOR_OBJS  = $(MOTOR_SRCS:.c=.$(OBJ))
SERVER_OBJS = $(SERVER_SRCS:.c=.$(OBJ))
UPDATE_OBJS = $(UPDATE_SRCS:.c=.$(OBJ))

INCLUDES	= $(MX_INCLUDES)

