/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    p_none.h
 *
 * Purpose: Header file for use when plotting is disabled.
 */

MX_API mx_status_type mxp_none_open( MX_PLOT *plot );
MX_API mx_status_type mxp_none_close( MX_PLOT *plot );
MX_API mx_status_type mxp_none_add_measurement_to_plot( MX_PLOT *plot );
MX_API mx_status_type mxp_none_set_x_range( MX_PLOT *plot,
					double x_min, double x_max );
MX_API mx_status_type mxp_none_set_y_range( MX_PLOT *plot,
					double y_min, double y_max );
MX_API mx_status_type mxp_none_start_plot_section( MX_PLOT *plot );

extern MX_PLOT_FUNCTION_LIST mxp_none_function_list;

