/*
 * Copyright 1999 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

/*
 * Name:    seg_xafs.h
 *
 * Purpose: Header file for XAFS segmented scan.
 */

#ifndef __SEG_XAFS_H__
#define __SEG_XAFS_H__

MX_API mx_status_type mxs_oldxafs_scan_create_record_structures(
	MX_RECORD *record, MX_SCAN *scan, MX_SEGMENTED_SCAN *segmented_scan );

MX_API mx_status_type mxs_oldxafs_scan_finish_record_initialization(
						MX_RECORD *record );

extern MX_SEGMENTED_SCAN_FUNCTION_LIST mxs_oldxafs_scan_function_list;

extern long mxs_oldxafs_scan_num_record_fields;
extern MX_RECORD_FIELD_DEFAULTS *mxs_oldxafs_scan_def_ptr;

#endif /* __SEG_XAFS_H__ */

